<?php

namespace Gridly;

class SourceException extends Exception
{
    /**
     * @param string $operand
     * @param string $source
     * @throws SourceException
     */
    public static function onUnsupportedFilterOperand(string $operand, string $source)
    {
        throw new self(
            'Operand "'. $operand . '" not supported for source ' . $source
        );
    }
}
