<?php

namespace Gridly\Paginator;

interface Paginator
{
    /**
     * @param int $count
     * @return Paginator
     */
    public function setItemsPerPage(int $count): Paginator;

    /**
     * @param int $page
     * @return iterable
     */
    public function getPageItems(int $page): iterable;
}