<?php

namespace GridlyTest;

use Gridly\Grid;
use Gridly\Paginator\Paginator;
use Gridly\Source\AbstractSource;
use PHPUnit\Framework\TestCase;

class GridTest extends TestCase
{
    /**
     * @throws \ReflectionException
     */
    public function testGridCreation()
    {
        $paginatorMock = $this->createMock(Paginator::class);
        $sourceMock = $this->createMock(AbstractSource::class);

        $grid = new Grid($sourceMock, $paginatorMock);

        $this->assertInstanceOf(Grid::class, $grid);
    }
}
